Package com.collibra.dgc.importer.api.request

# Class ImportJsonInJobRequest

Object
BaseImportRequest
FileImportRequest
ImportJsonInJobRequest

All Implemented Interfaces:
  `Serializable`

public class ImportJsonInJobRequest extends FileImportRequest
The request defining import call properties from a JSON file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ImportJsonInJobRequest.ImportJsonInJobRequestBuilder`

- ## Field Summary

  ### Fields inherited from class FileImportRequest

  `attributesAction, continueOnError, deleteFile, file, fileId, fileName, relationsAction`

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImportJsonInJobRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImportJsonInJobRequest.ImportJsonInJobRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `boolean`
  `isAllowEmptyAttributeValues()`
  Whether empty attribute values should be allowed during import.
  `String`
  `toString()`

  ### Methods inherited from class FileImportRequest

  `getAttributesAction, getFile, getFileId, getFileName, getRelationsAction, isContinueOnError, isDeleteFile, setAttributesAction, setContinueOnError, setDeleteFile, setFile, setFileId, setFileName, setRelationsAction`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImportJsonInJobRequest

    public ImportJsonInJobRequest()

- ## Method Details

  - ### builder

    public static ImportJsonInJobRequest.ImportJsonInJobRequestBuilder builder()

  - ### isAllowEmptyAttributeValues

    public boolean isAllowEmptyAttributeValues()
    Whether empty attribute values should be allowed during import. The default value is `false`.

    When `false` (default), attribute values that are empty or blank are filtered out and not imported. When `true`, empty attribute values are preserved and imported as-is.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FileImportRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `FileImportRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `FileImportRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FileImportRequest`